using FLY.OBJComponents.Server.Model;
using SQLite;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.FilmCasting.AutoDie.Server.Model
{
    public class DbModel : SQLiteDbContext, IErrorDBModel
    {
        public DBTable<Db_ThickHeat> TbThickHeat { get; } = new DBTable<Db_ThickHeat>();

        public DBTable<Db_Error> TbError { get; } = new DBTable<Db_Error>();

        public DbModel(string dbpath) : base(dbpath)
        {

        }
        public DbModel() : this(@"D:\film_casting_data\autodie.sqlite3")
        {

        }
    }
}
